| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
StatEntity.h File Reference
`#include <string>`
`#include <iostream>`
`#include "GaudiKernel/Kernel.h"`
Include dependency graph for StatEntity.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | StatEntity
| The basic counter used for Monitoring purposes. More...

## Namespaces
| Gaudi
| Helper functions to set/get the application return code.
| Gaudi::Utils

## Functions
GAUDI_API StatEntity | operator+ (const StatEntity &entity, const double value)
| external operator for addition of StatEntity and a number More...
GAUDI_API StatEntity | operator+ (const double value, const StatEntity &entity)
| external operator for addition of StatEntity and a number More...
GAUDI_API StatEntity | operator+ (const StatEntity &entity, const StatEntity &value)
| external operator for addition of StatEntity and a number More...
GAUDI_API StatEntity | operator- (const StatEntity &entity, const double value)
| external operator for subtraction of StatEntity and a number More...
GAUDI_API std::ostream & | operator<< (std::ostream &stream, const StatEntity &entity)
| external printout operator to std::ostream More...
GAUDI_API std::string | Gaudi::Utils::formatAsTableRow (const StatEntity &counter, const bool flag, const std::string &format1=" |%|7d| |%|11.7g| |%|#11.5g| |%|#10.5g| |%|#10.5g| |%|#10.5g| |", const std::string &format2="*|%|7d| |%|11.5g| |(%|#9.7g| +- %|-#8.6g|)%%| ----- | ----- |")
| print the counter in a form of the table row More...
GAUDI_API std::string | Gaudi::Utils::formatAsTableRow (const std::string &name, const StatEntity &counter, const bool flag=true, const std::string &format1=" %|-15.15s|%|17t||%|7d| |%|11.7g| |%|#11.5g| |%|#10.5g| |%|#10.5g| |%|#10.5g| |", const std::string &format2="*%|-15.15s|%|17t||%|7d| |%|11.5g| |(%|#9.7g| +- %|-#8.6g|)%%| ----- | ----- |")
| print the counter in a form of the table row More...
GAUDI_API std::string | Gaudi::Utils::formatAsTableRow (const std::string &name, const std::string &group, const StatEntity &entity, const bool flag=true, const std::string &format1=" %|15.15s|%|-15.15s|%|32t||%|7d| |%|11.7g| |%|#11.5g| |%|#10.5g| |%|#10.5g| |%|#10.5g| |", const std::string &format2="*%|15.15s|%|-15.15s|%|32t||%|7d| |%|11.5g| |(%|#9.7g| +- %|-#8.6g|)%%| ----- | ----- |")
| print the counter in a form of the table row More...

## Function Documentation

GAUDI_API StatEntity operator+ | ( | const StatEntity & | entity,
|  | const double | value
| ) |  |

external operator for addition of StatEntity and a number

Definition at line 244 of file StatEntity.cpp.

245 { StatEntity aux ( entity ) ; return aux+=value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:64

GAUDI_API StatEntity operator+ | ( | const double | value,
|  | const StatEntity & | entity
| ) |  |

external operator for addition of StatEntity and a number

Definition at line 249 of file StatEntity.cpp.

250 { return entity + value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

GAUDI_API StatEntity operator+ | ( | const StatEntity & | entity,
|  | const StatEntity & | value
| ) |  |

external operator for addition of StatEntity and a number

Definition at line 259 of file StatEntity.cpp.

260 { StatEntity aux ( entity ) ; return aux+=value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:64

GAUDI_API StatEntity operator- | ( | const StatEntity & | entity,
|  | const double | value
| ) |  |

external operator for subtraction of StatEntity and a number

Definition at line 254 of file StatEntity.cpp.

255 { StatEntity aux ( entity ) ; return aux-=value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:64

GAUDI_API std::ostream& operator<< | ( | std::ostream & | stream,
|  | const StatEntity & | entity
| ) |  |

external printout operator to std::ostream

Definition at line 264 of file StatEntity.cpp.

265 { return entity.print ( stream ) ; }
StatEntity::print
std::ostream & print(std::ostream &o=std::cout) const
printout to std::ostream
Definition: StatEntity.cpp:233